org.pentaho.reporting.libraries.resourceloader.cache

## Class DefaultResourceBundleDataCacheEntry

- java.lang.Object
- - org.pentaho.reporting.libraries.resourceloader.cache.DefaultResourceBundleDataCacheEntry

All Implemented Interfaces:
  java.io.Serializable, ResourceBundleDataCacheEntry

    public class DefaultResourceBundleDataCacheEntry
    extends java.lang.Object
    implements ResourceBundleDataCacheEntry

Creation-Date: 06.04.2006, 09:53:37

Author:
  Thomas Morgner
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DefaultResourceBundleDataCacheEntry(ResourceBundleData data, ResourceManager manager)`

### Method Summary

Methods
`ResourceBundleData` `getData()`
`long` `getStoredVersion()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultResourceBundleDataCacheEntry

    public DefaultResourceBundleDataCacheEntry(ResourceBundleData data,
                                       ResourceManager manager)
                                        throws ResourceLoadingException

Throws:
  `ResourceLoadingException`

### Method Detail

#### getData

    public ResourceBundleData getData()

Specified by:
  `getData` in interface `ResourceBundleDataCacheEntry`

#### getStoredVersion

    public long getStoredVersion()

Specified by:
  `getStoredVersion` in interface `ResourceBundleDataCacheEntry`